Use this API to permenantly delete a custom attribute from OneLogin.
Be Careful
This operation can not be undone. All users with this attribute will have the field and any contained data removed.
Resource URL
https://<subdomain>.onelogin.com/api/2/users/custom_attributes/:idHeader Parameter
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameter
id required integer | Set to the id of the custom attribute that you want to delete. If you don't know the custom attribute's id, use the List Custom Attirbutes API call to return all custom attributes and their id values. |
Sample Response
- 204 No Content
- 401 Unauthorized
- 404 Not Found
On success, no content is returned in the response body.
Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"name": "UnauthorizedError",
"statusCode": 401
}{
"message": "The resource with the given id could not be found",
"name": "NotFoundError",
"statusCode": 404
}Postman Collection
Replace sample variables indicated by < > in the sample request body with your actual values. Also, be sure to set Postman-specific environment variables indicated by {{ }}.
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.